import React from 'react';
import type { Metadata } from 'next';
import { useTranslations } from 'next-intl';

export const metadata: Metadata = {
    title: 'Bbuddy - Account - Information',
    description: 'Bbuddy desc information'
};

export default function Information() {
    const t = useTranslations('Account.LegalInformation');

    return (
        <>
            <ol className="breadcrumb">
                <li className="breadcrumb-item active" aria-current="page">{t('title')}</li>
            </ol>
            <div className="base-text">
                Welcome to the B BUDDY LTD’s privacy policy. <br />
                B BUDDY LTD respects your privacy and is committed to protecting your personal data. This privacy policy
                will inform you as to how we collect, use and look after your personal data. It further describes your
                privacy rights and the control you can exercise in relation to your personal data.
            </div>
            <h3 className="title-h3">
                Important Information
            </h3>
            <div className="base-text">
                This privacy policy is issued on behalf of B BUDDY LTD which is the controller of your personal data. B
                BUDDY LTD is a limited liability company registered in the Republic of Cyprus with registration number
                HE 417576.
                <br />
                This privacy policy is addressed to individuals outside B BUDDY LTD with whom we interact, including
                individual clients, representatives, directors, shareholders, beneficial owners, coaches and/or
                mentors and/or consultants of our application and/or website as well as other users of our services
                and suppliers.
            </div>
            <h3 className="title-h3">What Personal Date We Collect About You?</h3>
            <div className="base-text">
                We may collect, use, store and transfer different kinds of personal data about you which we have grouped
                together as follows:<br />
                Identity Data includes first name, maiden name, last name, username or similar identifier, title,
                date of birth, gender;<br />
                Contact Data includes billing address, delivery address, email address, and telephone numbers
                (including mobile telephone number(s)), postal address.<br />
                Business Data includes date identifying you in relation to matters on which you instruct us or
                in which you are involved such as diplomas and any other educational document or
                certificate;<br />
                Consent Records Data includes records of any consents you have given us, together with the date,
                means of consent and any other information provided such as the subject matter of the consent
                provided;<br />
                Supplier Data includes contact details and other information about you or your company or
                organisation where you provide services to B BUDDY LTD;<br />
                Tracker (i.e. any technology - e.g Cookies, unique identifiers, web beacons, embedded scripts,
                e-tags and fingerprinting - that enables the tracking of Users, for example by accessing or
                storing information on the User’s device);<br />
                Usage Data (i.e information collected automatically through this Website (or third-party
                services employed in this Website), which can include: the IP addresses or domain names of the
                computers utilized by the Users who use this Website, the URI addresses (Uniform Resource
                Identifier), the time of the request, the method utilized to submit the request to the server,
                the size of the file received in response, the numerical code indicating the status of the
                server's answer (successful outcome, error, etc.), the country of origin, the features of the
                browser and the operating system utilized by the User, the various time details per visit (e.g.,
                the time spent on each page within the Application) and the details about the path followed
                within the Application with special reference to the sequence of pages visited, and other
                parameters about the device operating system and/or the User's IT environment.);<br />
                Any other information relating to you which you may provide us with, such as health personal
                data, if required by us to be able to provide our services to you.<br />
                B BUDDY LTD does not collect any payment details data as they are collected directly by Stripe,
                Inc. which is responsible to effect the payments. Stripe, Inc. is a PCI Service Provider Level 1
                and it is obliged to follow PCI compliance and the General Data Protection Regulations 2018
                (GDPR).
            </div>
        </>
    );
};
