import React from 'react';
import type { Metadata } from 'next';
import { useTranslations } from 'next-intl';

export const metadata: Metadata = {
    title: 'Bbuddy - Account - Notifications',
    description: 'Bbuddy desc notifications'
};

export default function Notifications() {
    const t = useTranslations('Account.Notifications');

    return (
        <>
            <ol className="breadcrumb">
                <li className="breadcrumb-item active" aria-current="page">{t('title')}</li>
            </ol>
            <div className="list-notifications ">
                <div className="b-notifications primary">
                    <div className="b-notifications__title">Notification Headline</div>
                    <div className="b-notifications__text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc auctor leo eu justo molestie
                    </div>
                    <div className="b-notifications__date">25 may 2022</div>
                    <div className="b-notifications__inner">
                        <a href="#" className="b-notifications__read">{t('read')}</a>
                        <a href="#" className="b-notifications__delete">{t('delete')}</a>
                    </div>
                </div>
                <div className="b-notifications primary">
                    <div className="b-notifications__title">Notification Headline</div>
                    <div className="b-notifications__text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc auctor leo eu justo molestie
                    </div>
                    <div className="b-notifications__date">25 may 2022</div>
                    <div className="b-notifications__inner">
                        <a href="#" className="b-notifications__read">{t('read')}</a>
                        <a href="#" className="b-notifications__delete">{t('delete')}</a>
                    </div>
                </div>
                <div className="b-notifications danger">
                    <div className="b-notifications__title">Notification Headline</div>
                    <div className="b-notifications__text">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc auctor leo eu justo molestie
                    </div>
                    <div className="b-notifications__date">25 may 2022</div>
                    <div className="b-notifications__inner">
                        <a href="#" className="b-notifications__read">{t('read')}</a>
                        <a href="#" className="b-notifications__delete">{t('delete')}</a>
                    </div>
                </div>
            </div>
        </>
    );
}
