import React from 'react';
import type { Metadata } from 'next';
import { useTranslations } from 'next-intl';
import { SessionsTabs } from '../../../../components/Account';

export const metadata: Metadata = {
    title: 'Bbuddy - Account - Sessions',
    description: 'Bbuddy desc sessions'
};

export default function Sessions() {
    const t = useTranslations('Account.Sessions');

    return (
        <SessionsTabs
            intlConfig={{
                upcoming: t('upcoming-sessions'),
                requested: t('sessions-requested'),
                recent: t('recent-sessions'),
                selectTopicLabel: t('topic'),
                dateLabel: t('day-start')
            }}
        />
    );
}
