import React from 'react';
import { useTranslations } from 'next-intl';
import { Link } from '../../../../../navigation';

export default function ChangePassword({ params }: { params: { userId: string } }) {
    const t = useTranslations('Account.Settings');

    return (
        <>
            <ol className="breadcrumb">
                <li className="breadcrumb-item">
                    <Link href={`/${params.userId}/settings` as any}>
                        {t('title')}
                    </Link>
                </li>
                <li className="breadcrumb-item active" aria-current="page">{t('change-password')}</li>
            </ol>
            <form className="form-settings" action="">
                <div className="form-field password-hide">
                    <input type="text" placeholder={t('old-password')} className="base-input" id="" value="" />
                </div>
                <div className="form-field password-hide">
                    <input type="text" placeholder={t('new-password')} className="base-input" id="" value="" />
                </div>
                <div className="form-field password-show">
                    <input className="base-input" type="text" placeholder={t('confirm-password')} id="" value="" />
                </div>
                <button className="btn-apply">{t('save')}</button>
            </form>
        </>
    );
};
