import React from 'react';
import type { Metadata } from 'next';
import { useTranslations } from "next-intl";

export const metadata: Metadata = {
    title: 'Bbuddy - Account - Work with us',
    description: 'Bbuddy desc work with us'
};

export default function WorkWithUs() {
    const t = useTranslations('Account.WorkWithUs');

    return (
        <>
            <ol className="breadcrumb">
                <li className="breadcrumb-item active" aria-current="page">{t('title')}</li>
            </ol>
            <div className="b-info">
                <div className="image-info">
                    <img className="" src="/images/info.png" alt="" />
                </div>
                <div className="b-info__title">{t('insert-info')}</div>
                <button className="btn-apply">{t('start')}</button>
                <div className="base-text">{t('base-text')}</div>
            </div>
        </>
    );
}
