import React from 'react';
import type { Metadata } from 'next';
import { useTranslations } from 'next-intl';
import { GeneralTopSection } from '../../../components/Page';

export const metadata: Metadata = {
    title: 'Bbuddy - Take the lead with BB',
    description: 'Bbuddy desc Take the lead with BB'
};

export default function BbClientPage() {
    const t = useTranslations('BbClient');

    return (
        <>
            <GeneralTopSection
                title={t('header')}
                mainImage="banner-phone.png"
            />
            <div className="main-articles bb-client">
                <div className="b-inner">
                    <h2 className="title-h2">How do you want to advance today?</h2>
                    <div className="tag-list">
                        <div className="tag-item">Work - Life Balance</div>
                        <div className="tag-item">Personal growth</div>
                        <div className="tag-item">Career planning</div>
                        <div className="tag-item">Executive coaching</div>
                        <div className="tag-item">Financial thinking</div>
                        <div className="tag-item">Business development</div>
                        <div className="tag-item">Startup</div>
                        <div className="tag-item">Strategic session</div>
                        <div className="tag-item">Relationships</div>
                        <div className="tag-item">Healthy lifestyle</div>
                        <div className="tag-item">Relocation</div>
                    </div>
                </div>
            </div>
            <section className="b2">
                <div className="b-inner">
                    <h2 className="title-h2">Start the path to big goals with us</h2>
                    <div className="row">
                        <div className="col-12 col-md-5 col-lg-6">
                            <img src="/images/b-2-bg.png" alt="" className="b2-img" />
                        </div>
                        <div className="col-12 col-md-7 col-lg-6">
                            <div className="advice-list">
                                <div className="advice-item">Take advantage of coaching sessions to help you grow
                                    confidently by enhancing your skills and personal qualities.
                                </div>
                                <div className="advice-item">Allow our professionals to use their expertise to assist
                                    you in making a difference.
                                </div>
                                <div className="advice-item">Develop the required skills and steer clear of common
                                    pitfalls by working with a mentor.
                                </div>
                                <div className="advice-item">Learn new things to equip yourself with cutting-edge
                                    resources for advancement.
                                </div>
                                <div className="advice-item">Communicate with like-minded people to get even more out of
                                    B BUDDY.
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section className="b3">
                <div className="b-inner">
                    <h2 className="title-h2">B Buddy: Reliable and convenient</h2>
                    <div className="row">
                        <div className="col-12 col-sm-6 col col-lg-3">
                            <div className="b3-item">
                                <img src="/images/b-3-1.svg" className="b3-img"/>
                                <div className="b3-title">from 300 hours</div>
                                <div className="b3-text">experience of each coach</div>
                            </div>
                        </div>
                        <div className="col-12 col-sm-6 col col-lg-3">
                            <div className="b3-item">
                                <img src="/images/b-3-2.svg" className="b3-img"/>
                                <div className="b3-title">25 countries
                                </div>
                                <div className="b3-text">location of participants
                                </div>
                            </div>
                        </div>
                        <div className="col-12 col-sm-6 col col-lg-3">
                            <div className="b3-item">
                                <img src="/images/b-3-3.svg" className="b3-img"/>
                                <div className="b3-title">15 criteria</div>
                                <div className="b3-text">use B BUDDY to find the best mentor
                                </div>
                            </div>
                        </div>
                        <div className="col-12 col-sm-6 col col-lg-3">
                            <div className="b3-item">
                                <img src="/images/b-3-4.svg" className="b3-img"/>
                                <div className="b3-title">5 minutes</div>
                                <div className="b3-text">from registering to speaking with an expert
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section className="b4">
                <div className="b-inner">
                    <div className="row">
                        <div className="col-md-7 col-lg-6">
                            <div className="b4-list">
                                <div className="b4-item">
                                    <div className="b4-title">All in one</div>
                                    <div className="b4-descr">
                                        Whether it's self-evaluation, public speaking, or
                                        financial planning, B BUDDY can provide the support you need in one single
                                        application. Now your smartphone has even more room for stunning photos.
                                    </div>
                                </div>
                                <div className="b4-item">
                                    <div className="b4-title">The solution is right in your pocket</div>
                                    <div className="b4-descr">
                                        Get expert help as soon as you need it. A smartphone is
                                        always within reach. Your competitive advantage is speed.
                                    </div>
                                </div>
                                <div className="b4-item">
                                    <div className="b4-title">Focus on your top priorities</div>
                                    <div className="b4-descr">
                                        Make a call, schedule a meeting, set a reminder, and save
                                        a link to a video conference. This can all be done with a single click using the
                                        B BUDDY app. Let us take care of the rest while you focus on the things that
                                        count.
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div className="col-md-5 col-lg-6 position-relative">
                            <img src="/images/girl.png" alt="" className="b4-img" />
                        </div>
                    </div>
                </div>
            </section>
            <section className="b5 waves-top">
                <div className="b-inner">
                    <h2 className="title-h2">B BUDDY will</h2>
                    <div className="row">
                        <div className="col-12 col-sm-6 col-lg-3">
                            <div className="b5-item">
                                <img src="/images/b-5-1.svg" alt="" className="b5-img" />
                                <div className="b5-text">Choose a professional who is a perfect fit for you</div>
                            </div>
                        </div>
                        <div className="col-12 col-sm-6 col-lg-3">
                            <div className="b5-item">
                                <img src="/images/b-5-2.svg" alt="" className="b5-img" />
                                <div className="b5-text">Set up meetings</div>
                            </div>
                        </div>
                        <div className="col-12 col-sm-6 col-lg-3">
                            <div className="b5-item">
                                <img src="/images/b-5-3.svg" alt="" className="b5-img" />
                                <div className="b5-text">Notify you in advance of the scheduled session</div>
                            </div>
                        </div>
                        <div className="col-12 col-sm-6 col-lg-3">
                            <div className="b5-item">
                                <img src="/images/b-5-4.svg" alt="" className="b5-img" />
                                <div className="b5-text">Invite you to a video call at the appropriate time</div>
                            </div>
                        </div>
                    </div>
                    <div className="row">
                        <div className="col-12">
                            <h3>Isn’t that amazing?</h3>
                        </div>
                    </div>
                </div>
            </section>
            <section className="b6">
                <div className="b-inner">
                    <div className="b6-banner">
                        <div className="b6-content">
                            <div className="b6-title">Being formed by business owners and educators, B BUDDY is
                                completely aware of what is required and how to deliver it to you.
                            </div>
                            <div className="b6-descr">We work hard to support people in becoming more successful! We
                                therefore strive daily to make B BUDDY the top coaching, mentoring, and consulting
                                application.
                            </div>
                        </div>
                        <img src="/images/b-6-img.png" alt="" className="b6-img" />
                    </div>
                </div>
            </section>
        </>
    );
};
