import React from 'react';
import type { Metadata } from 'next';

export const metadata: Metadata = {
    title: 'Bbuddy - Blog',
    description: 'Bbuddy desc blog'
};

export default function Blog() {
    return (
        <div className="b-news">
            <div className="b-news__header">
                <div className="b-inner">
                    <h1 className="title-h1">
                        Mentorship, Career <br />
                        Development & Coaching.
                    </h1>
                    <div className="wrap-text">
                        <p className="">The ins-and-outs of building a career in tech, gaining <br /> experience</p>
                        <p className="">from a mentor, and getting your feet wet with coaching.</p>
                    </div>
                    <div className="b-news__header__img">
                        <img className="" src="/images/news-top.png" alt="" />
                    </div>
                </div>
            </div>
            <div className="b-news__filter ">
                <div className="b-inner">
                    <div className="wrap-filter">
                        <a href="#" className="filter-item">Leadership & Management</a>
                        <a href="#" className="filter-item">Professional Development</a>
                        <a href="#" className="filter-item">Research & Insights</a>
                        <a href="#" className="filter-item">Well-Being</a>
                        <a href="#" className="filter-item">Diversity & Inclusion</a>
                        <a href="#" className="filter-item">Culture</a>
                        <a href="#" className="filter-item">Sales</a>
                        <a href="#" className="filter-item">Collaboration</a>
                        <a href="#" className="filter-item">Hiring</a>
                        <a href="#" className="filter-item active">BBuddy product</a>
                        <a href="#" className="filter-item">Customer Stories</a>
                        <a href="#" className="filter-item">Coaching</a>
                    </div>
                </div>
            </div>
            <div className="b-news__result-list">
                <div className="b-inner">
                    <div className="news-list">
                        <a href="#" className="news-item">
                            <div className="news-item__image">
                                <img className="" src="/images/news.png" alt="" />
                            </div>
                            <div className="news-item__inner">
                                <div className="">
                                    <div className="news-item__title">
                                        6 learnings from Shivpuri to Silicon Valley
                                    </div>
                                    <div className="news-item__badge">Leadership & Management</div>
                                    <div className="news-item__text">
                                        I’m excited to kick off this series of newsletters where I’ll be sharing my
                                        experiences,
                                        learnings, and best practices which helped me to grow both in my personal and
                                        professional life. My hope is to give back to the community and help anyone
                                        connect directly with me who may have got impacted with recent layoffs,
                                        dealing with immigration challenges.
                                    </div>
                                </div>
                                <div className="news-item__info">
                                    <div className="news-item__info__author">
                                        <img className="" src="/images/author.png" alt="" />
                                        <div className="news-item__info__author__inner">
                                            <div className="news-item__info__name">Sonali Garg</div>
                                            <div className="news-item__info__date">February 6th, 2023</div>
                                        </div>
                                    </div>
                                    <div className="news-item__info__counter">
                                        <div className="news-item__info__like">
                                            <img className="" src="/images/heart-outline.svg" alt="" />
                                            165
                                        </div>
                                        <div className="news-item__info__share">
                                            <img className="" src="/images/share-social.svg" alt="" />
                                            Share
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </a>
                        <a href="#" className="news-item">
                            <div className="news-item__image">
                                <img className="" src="/images/news.png" alt="" />
                            </div>
                            <div className="news-item__inner">
                                <div className="">
                                    <div className="news-item__title">
                                        6 learnings from Shivpuri to Silicon Valley
                                    </div>
                                    <div className="news-item__badge">Leadership & Management</div>
                                    <div className="news-item__text">
                                        I’m excited to kick off this series of newsletters where I’ll be sharing my
                                        experiences,
                                        learnings, and best practices which helped me to grow both in my personal and
                                        professional life. My hope is to give back to the community and help anyone
                                        connect directly with me who may have got impacted with recent layoffs,
                                        dealing with immigration challenges.
                                    </div>
                                </div>
                                <div className="news-item__info">
                                    <div className="news-item__info__author">
                                        <img className="" src="/images/author.png" alt="" />
                                        <div className="news-item__info__author__inner">
                                            <div className="news-item__info__name">Sonali Garg</div>
                                            <div className="news-item__info__date">February 6th, 2023</div>
                                        </div>
                                    </div>
                                    <div className="news-item__info__counter">
                                        <div className="news-item__info__like">
                                            <img className="" src="/images/heart-outline.svg" alt="" />
                                            165
                                        </div>
                                        <div className="news-item__info__share">
                                            <img className="" src="/images/share-social.svg" alt="" />
                                            Share
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </a>
                        <a href="#" className="news-item">
                            <div className="news-item__image">
                                <img className="" src="/images/news.png" alt="" />
                            </div>
                            <div className="news-item__inner">
                                <div className="">
                                    <div className="news-item__title">
                                        6 learnings from Shivpuri to Silicon Valley
                                    </div>
                                    <div className="news-item__badge">Leadership & Management</div>
                                    <div className="news-item__text">
                                        I’m excited to kick off this series of newsletters where I’ll be sharing my
                                        experiences,
                                        learnings, and best practices which helped me to grow both in my personal and
                                        professional life. My hope is to give back to the community and help anyone
                                        connect directly with me who may have got impacted with recent layoffs,
                                        dealing with immigration challenges.
                                    </div>
                                </div>
                                <div className="news-item__info">
                                    <div className="news-item__info__author">
                                        <img className="" src="/images/author.png" alt="" />
                                        <div className="news-item__info__author__inner">
                                            <div className="news-item__info__name">Sonali Garg</div>
                                            <div className="news-item__info__date">February 6th, 2023</div>
                                        </div>
                                    </div>
                                    <div className="news-item__info__counter">
                                        <div className="news-item__info__like">
                                            <img className="" src="/images/heart-outline.svg" alt="" />
                                            165
                                        </div>
                                        <div className="news-item__info__share">
                                            <img className="" src="/images/share-social.svg" alt="" />
                                            Share
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </a>
                        <a href="#" className="news-item">
                            <div className="news-item__image">
                                <img className="" src="/images/news.png" alt="" />
                            </div>
                            <div className="news-item__inner">
                                <div className="">
                                    <div className="news-item__title">
                                        6 learnings from Shivpuri to Silicon Valley
                                    </div>
                                    <div className="news-item__badge">Leadership & Management</div>
                                    <div className="news-item__text">
                                        I’m excited to kick off this series of newsletters where I’ll be sharing my
                                        experiences,
                                        learnings, and best practices which helped me to grow both in my personal and
                                        professional life. My hope is to give back to the community and help anyone
                                        connect directly with me who may have got impacted with recent layoffs,
                                        dealing with immigration challenges.
                                    </div>
                                </div>
                                <div className="news-item__info">
                                    <div className="news-item__info__author">
                                        <img className="" src="/images/author.png" alt="" />
                                        <div className="news-item__info__author__inner">
                                            <div className="news-item__info__name">Sonali Garg</div>
                                            <div className="news-item__info__date">February 6th, 2023</div>
                                        </div>
                                    </div>
                                    <div className="news-item__info__counter">
                                        <div className="news-item__info__like">
                                            <img className="" src="/images/heart-outline.svg" alt="" />
                                            165
                                        </div>
                                        <div className="news-item__info__share">
                                            <img className="" src="/images/share-social.svg" alt="" />
                                            Share
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    );
}
