import React from 'react';
import type { Metadata } from 'next';
import { useTranslations } from 'next-intl';
import { Experts } from '../../../components/Experts/Experts';

export const metadata: Metadata = {
    title: 'Bbuddy - Experts',
    description: 'Bbuddy desc experts'
};

export default function ExpertsPage({ params }: { params: { locale: string } }) {
    const t = useTranslations('Experts');

    return (
        <div className="page-search">
            <div className="main-find">
                <div className="b-inner">
                    <div className="main-find__top">
                        <h2 className="title-h2">{t('title')}</h2>
                        <div className="open-filter">
                            <img src="/images/options-outline.svg" alt="" />
                        </div>
                    </div>
                    <Experts
                        locale={params.locale}
                        basePath="/experts"
                    />
                </div>
            </div>
        </div>
    );
};
