import React from 'react';
import type { Metadata } from 'next';

export const metadata: Metadata = {
    title: 'Bbuddy - FAQ',
    description: 'Bbuddy desc faq'
};

export default function Faq() {
    return (
        <>
            <section className="banner banner-faq">
                <div className="b-inner">
                    <div className="row">
                        <div className="col-12 col-md-7 col-xl-6 text-center">
                            <h1 className="mb-4">Frequently asked questions</h1>
                            <div className="banner-note mb-4">
                                Do you have any questions? Call!
                            </div>
                            <div className="store-buttons justify-content-center">
                                <a href="tel:+35799752176" className="store-button phone">+3 579 97 52 176</a>
                            </div>
                        </div>
                        <div className="col-12 col-md-5 col-xl-6 position-relative">
                            <img src="/images/faq-img.png" alt="" className="banner-img" />
                        </div>
                    </div>
                </div>
            </section>
            <section className="b2 mb-5">
                <div className="b-inner">
                    <div className="row">
                        <div className="col-12">
                            <div className="advice-list mb-5">
                                <div className="advice-item advice-item--with-img">
                                    <img src="/images/cash.svg" alt="" className="advice-img" />
                                    <div className="advice-content">
                                        <div className="advice-title">
                                            How much will I earn for the consultation?
                                        </div>
                                        <div className="advice-text">
                                            It is entirely up to you because you set the price for the services.
                                        </div>
                                    </div>
                                </div>
                                <div className="advice-item advice-item--with-img">
                                    <img src="/images/comission.svg" alt="" className="advice-img" />
                                    <div className="advice-content">
                                        <div className="advice-title">
                                            What will BBuddy’s commission be?
                                        </div>
                                        <div className="advice-text">
                                            B Buddy will receive 15% commission of the consultation cost.
                                        </div>
                                    </div>
                                </div>
                                <div className="advice-item advice-item--with-img">
                                    <img src="/images/new-client.svg" alt="" className="advice-img" />
                                    <div className="advice-content">
                                        <div className="advice-title">
                                            Can I bring my customer?
                                        </div>
                                        <div className="advice-text">
                                            You will be able to invite existing customers to the application via a
                                            unique link. B Buddy will not charge a fee for transferring your
                                            existing customers.
                                        </div>
                                    </div>
                                </div>
                                <div className="advice-item advice-item--with-img">
                                    <img src="/images/new-expert.svg" alt="" className="advice-img" />
                                    <div className="advice-content">
                                        <div className="advice-title">
                                            What about if I introduce a new expert to B Buddy?
                                        </div>
                                        <div className="advice-text">
                                            Within two months of the date of his platform registration, you will
                                            receive 5% of each of his consultations.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </>
    );
};
