import React, { ReactNode } from 'react';
import { Comfortaa, Inter } from 'next/font/google';
import '../styles/style.scss';

type RootLayoutProps = {
    children: ReactNode;
    params: { locale: string };
};

const comfortaa = Comfortaa({
    weight: ['300', '400', '500', '600', '700'],
    subsets: ['latin', 'cyrillic'],
    variable: '--font-comfortaa',
    display: 'swap',
});

const inter = Inter({
    weight: ['100', '200', '300', '400', '500', '600', '700', '800', '900'],
    subsets: ['latin', 'cyrillic'],
    variable: '--font-inter',
    display: 'swap',
});

export default function RootLayout({ children, params: { locale } }: RootLayoutProps) {
    return (
        <html lang={locale} className={`${comfortaa.variable} ${inter.variable}`}>
            <body>
                {children}
            </body>
        </html>
    );
}
