'use client';

import React from 'react';
import { Tabs } from 'antd';

export const SessionsTabs = ({ intlConfig }: { intlConfig: Record<string, string> }) => {
    const getChildren = () => (
        <>
            <div className="filter-session">
                <div className="filter-session__item filter-session__item--type">
                    <select name="" id="">
                        <option value="">1</option>
                        <option value="">2</option>
                    </select>
                </div>

            </div>
            <div className="list-session">
                <div className="card-profile">
                    <div className="card-profile__header">
                        <div className="card-profile__header__portrait">
                            <img src="/images/person.png" className="" alt="" />
                        </div>
                        <div className="card-profile__header__inner">
                            <div className="card-profile__header__name">Matthew Weeks</div>
                            <div className="card-profile__header__title">
                                Personal Growth Course
                            </div>
                            <div className="card-profile__header__date chosen">
                                Today 10:00 AM - 10:30 AM
                            </div>
                        </div>
                    </div>
                </div>
                <div className="card-profile">
                    <div className="card-profile__header">
                        <div className="card-profile__header__portrait">
                            <img src="/images/person.png" className="" alt="" />
                        </div>
                        <div className="card-profile__header__inner">
                            <div className="card-profile__header__name">Matthew Weeks</div>
                            <div className="card-profile__header__title">
                                Personal Growth Course
                            </div>
                            <div className="card-profile__header__date">
                                8 december at 10:00 AM - 10:30 AM
                            </div>
                        </div>
                    </div>
                </div>
                <div className="card-profile">
                    <div className="card-profile__header">
                        <div className="card-profile__header__portrait">
                            <img src="/images/person.png" className="" alt="" />
                        </div>
                        <div className="card-profile__header__inner">
                            <div className="card-profile__header__name">Matthew Weeks</div>
                            <div className="card-profile__header__title">
                                Personal Growth Course
                            </div>
                            <div className="card-profile__header__date">
                                8 december at 10:00 AM - 10:30 AM
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </>
    );

    const tabs = [
        {
            key: 'upcoming',
            label: (
                <div className="tabs-session__item active">
                    {intlConfig?.upcoming || 'Tab 1'}
                    <span className="count">3</span>
                </div>
            ),
            children: getChildren()
        },
        {
            key: 'requested',
            label: (
                <div className="tabs-session__item">
                    {intlConfig?.requested || 'Tab 2'}
                    <span className="count">2</span>
                </div>
            ),
            children: getChildren()
        },
        {
            key: 'recent',
            label: (
                <div className="tabs-session__item">
                    {intlConfig?.recent || 'Tab 3'}
                </div>
            ),
            children: getChildren()
        }
    ];

    return (
        <Tabs
            defaultActiveKey="upcoming"
            items={tabs}
            renderTabBar={(props, DefaultTabBar) => (<DefaultTabBar {...props} className="tabs-session" />)}
        />
    );
};
