import React from 'react';
import Link from 'next/link';
import { useTranslations } from 'next-intl';
import { Link as IntlLink } from '../../../navigation';

export const Footer = () => {
    const t = useTranslations('Footer');

    return (
        <footer className="b-footer">
            <div className="b-inner">
                <div className="row">
                    <div className="col">
                        <a href="/" className="b-footer__logo">
                            <img className="" src="/images/footer-logo.svg" alt=""/>
                        </a>
                    </div>
                    <div className="col-md-auto">
                        <div className="b-footer__row">
                            <div className="b-footer__coll">
                                <div className="b-footer__coll__item">
                                    <a href={`mailto:${t('email')}`} className="b-footer__link">
                                        <img className="" src="/images/mail-outline.svg" alt=""/>
                                        {t('email')}
                                    </a>
                                    <a href="#" className="b-footer__link">
                                        <img className="" src="/images/call-outline.svg" alt=""/>
                                        {t('phone')}
                                    </a>
                                </div>
                                <span className="b-footer__text">
                                <img className="" src="/images/location-outline.svg" alt=""/>
                                {t('address')}
                            </span>
                            </div>
                            <div className="b-footer__coll-2">
                                <div className="b-footer__coll-2__item">
                                    <IntlLink href={'/faq' as any} className="b-footer__link">{t('menu.faq')}</IntlLink>
                                    <Link href={'/docs/BBUDDY_privacy_policy_fin.docx' as any} className="b-footer__link">{t(`menu.privacy-policy`)}</Link>
                                </div>
                                <div className="b-footer__social">
                                    <a href="#" className="b-footer__link">
                                        <img className="" src="/images/logo-facebook.svg" alt=""/>
                                    </a>
                                    <a href="#" className="b-footer__link">
                                        <img className="" src="/images/logo-instagram.svg" alt=""/>
                                    </a>
                                    <a href="#" className="b-footer__link">
                                        <img className="" src="/images/logo-linkedin.svg" alt=""/>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </footer>
    );
}
