'use client';

import React from 'react';
import { useSelectedLayoutSegment } from 'next/navigation';
import { Link } from '../../../navigation';
import { HeaderAuthLinks } from './HeaderAuthLinks';

type HeaderMenuProps = {
    enterTitle: string;
    registerTitle: string;
    accountTitle: string;
    linkConfig: { path: string, title: string }[];
};

export const HeaderMenu = ({
    enterTitle,
    registerTitle,
    accountTitle,
    linkConfig
}: HeaderMenuProps) => {
    const selectedLayoutSegment = useSelectedLayoutSegment();
    const pathname = selectedLayoutSegment || '';

    return (
        <div className="b-header__nav">
            <nav>
                <ul className="b-header__nav__list ">
                    {linkConfig.map(({ path, title }) => (
                        <li key={path}>
                            <Link href={`/${path}` as any} className={pathname === path ? 'active' : ''}>{title}</Link>
                        </li>
                    ))}
                    <HeaderAuthLinks enterTitle={enterTitle} registerTitle={registerTitle} accountTitle={accountTitle} />
                </ul>
            </nav>
        </div>
    );
}
