import React from 'react';
import styled from 'styled-components';
import { Input as AntdInput } from 'antd';

const Input = styled(AntdInput)`
    padding: 15px 16px !important;
    background: #F8F8F7 !important;
    border: 1px solid #F8F8F7 !important;
    border-radius: 8px !important;
    color: #000 !important;
    
    &:focus, &:hover {
        border-color: #66A5AD !important;
        box-shadow: none !important;
    }
    
    &::placeholder {
        color: #000 !important;
        opacity: .4 !important;
    }
    
    &.ant-input-status-error:not(.ant-input-disabled):not(.ant-input-borderless) {
        border-color: #ff4d4f !important;
    }
`;

export const CustomInput = (props: any) => (
    <Input {...props} />
);
