import React from 'react';
import styled from 'styled-components';
import { Input as AntdInput } from 'antd';
import { EyeOutlined, EyeInvisibleOutlined } from '@ant-design/icons';

const Input = styled(AntdInput.Password)`
    padding: 15px 16px !important;
    background: #F8F8F7 !important;
    border: 1px solid #F8F8F7 !important;
    border-radius: 8px !important;
    color: #000 !important;
    box-shadow: none !important;
    
    input {
        background: transparent !important;
    }
    
    &:focus, &:hover, &.ant-input-affix-wrapper-focused {
        border-color: #66A5AD !important;
        box-shadow: none !important;
    }
    
    input::placeholder {
        color: #000 !important;
        opacity: .4 !important;
    }
    
    &.ant-input-status-error:not(.ant-input-disabled):not(.ant-input-borderless) {
        border-color: #ff4d4f !important;
    }
    
    .ant-input-suffix {
        opacity: .3;
    }
`;

export const CustomInputPassword = (props: any) => (
    <Input
        iconRender={(visible) => (visible
            ? <EyeOutlined style={{ color: '#2C7873', fontSize: 20}} />
            : <EyeInvisibleOutlined style={{ color: '#2C7873', fontSize: 20}} />
        )}
        {...props}
    />
);
