'use client';

import React from 'react';
import styled from 'styled-components';
import { Pagination as AntdPagination, PaginationProps } from 'antd';

const DEFAULT_SIZE = 5;

const Pagination = styled(AntdPagination)`
    display: flex;
    gap: 8px;
  
    .ant-pagination-item {
        margin-inline-end: 0 !important;
        height: 40px !important;
        width: 40px !important;
        border-radius: 8px !important;
        line-height: 38px !important;
        font-family: var(--font-inter) !important;
        font-weight: 400 !important;
        border-color: #2c7873 !important;
        font-size: 16px !important;
        
        a {
            color: #2c7873 !important;
        }
    }
    
    .ant-pagination-item-active {
        background: #2c7873 !important;
    
        a {
            color: #fff !important;
        }
    }
    
    .ant-pagination-item:not(.ant-pagination-item-active):active,
    .ant-pagination-item:not(.ant-pagination-item-active):hover {
        background-color: rgba(44, 120, 115, 0.06) !important;
    }
`;

const itemRender: PaginationProps['itemRender'] = (_, type, originalElement) => {
    if (type === 'prev' || type === 'next') {
        return null;
    }

    return originalElement;
};

export const CustomPagination = (props: PaginationProps) => (
    <Pagination
        itemRender={itemRender}
        defaultCurrent={1}
        defaultPageSize={DEFAULT_SIZE}
        {...props}
    />
);
